@extends('layouts.app')

@section('title', 'Feedback')

@section('content')
<div class="container">
    <h1>Feedback</h1>
    <p>
        <a href="{{action('WowaController@create')}}" class="btn btn-outline-danger">
            <i class="fas fa-calculator"></i> Compute Wowa Weights
        </a>
    </p>
    <table class="table table-striped">
        <tr>
            <th></th>
            <th>Detector</th>
            <th>Subject</th>
            <th></th>
        </tr>
        @foreach($feedback as $feedback)
        <tr>
            <td>{!! $feedback->badge() !!}</td>
            <td>{{ $feedback->report()->profile["label"] }}</td>
            <td>{{ $feedback->report()->subject() }}</td>
            <td class="text-right">
                <a class="btn btn-primary btn-sm"
                   href="{{ action('FeedbackController@show', ['feedback' => $feedback]) }}">
                    <i class="fas fa-search"></i> Show
                </a>

                <form method="POST"
                      action="{{ action('FeedbackController@destroy', ['feedback' => $feedback]) }}"
                      style="display: inline-block">
                    {{ csrf_field() }}
                    {{ method_field("DELETE") }}
                    <button class="btn btn-danger btn-sm">
                        <i class="fas fa-times-circle"></i> Delete
                    </button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
</div>
@endsection
